> ## Documentation Index
> Fetch the complete documentation index at: https://developers.lucca.fr/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a SickLeaveCertificate

> Retrieve a single SickLeaveCertificate.



## OpenAPI

````yaml /openapi-specs/timmi-absences-v3.yaml get /api/v3/sickLeaveCertificates/{id}
openapi: 3.1.0
info:
  title: Lucca Absences API
  version: '1.0'
  description: Welcome on the documentation for Lucca Absences API.
  contact:
    name: API Support
    url: https://support.lucca.fr
    email: contact@luccasoftware.com
  license:
    name: Unlicensed
    url: https://www.luccasoftware.com
servers:
  - url: https://{host}
    description: Your Lucca account URL.
    variables:
      host:
        default: example.ilucca.net
        description: >-
          The URL of your dedicated Lucca account: `{account}.{env}.{region}`.


          Account reflects your company name. Env indicates the environment.
          Region depends on your server location.


          **Please, use your test or sandbox environments (and not your
          production env.) for testing purposes.**


          Environments:

          - `ilucca`: production environment for customers.

          - `ilucca-test`: test environment for customers.

          - `ilucca-demo`: demo environment for prospects.


          Regions:

          - `.ch` for Swiss located accounts.

          - `.net` for the others.


          Regarding sandboxes, the pattern differs:
          `https://{account}-{sandboxName}.sandbox.{server}.luccasoftware.com`,
          where:

          - `{sandboxName}` is automatically generated upon creation.

          - `{server}` may be "eu1", "eu2" or "ch1".
security: []
tags:
  - name: Leaves
    description: Absences taken on a given day
  - name: Leave Requests
    description: Workflow object for submiting an absence.
  - name: Imports
    description: Absences imports
  - name: SickLeaveCertificates
    description: >-
      Complementary data for certain leave types in order to comply with French
      law.
paths:
  /api/v3/sickLeaveCertificates/{id}:
    parameters:
      - $ref: '#/components/parameters/Authorization'
    get:
      tags:
        - SickLeaveCertificates
      summary: Get a SickLeaveCertificate
      description: Retrieve a single SickLeaveCertificate.
      operationId: get-sick-leave-certificate
      parameters:
        - name: id
          description: The SickLeaveCertificate ID.
          in: path
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/SickLeaveCertificate'
components:
  parameters:
    Authorization:
      name: Authorization
      required: true
      description: 'API key. Value must be formatted like so: `lucca application={api_key}`.'
      in: header
      schema:
        type: string
  schemas:
    SickLeaveCertificate:
      type: object
      properties:
        id:
          type: integer
        leavePeriodId:
          type: integer
        leaveAccountId:
          type: integer
          description: ID of the related LeaveAccount.
        authorId:
          type: integer
          description: ID of the user who created this object.
        creationDate:
          type: string
          format: date-time
          description: Non UTC date-time when this object was created.
        isActive:
          type: boolean
          description: >-
            Whether this SickLeaveCertificate was cancelled (equivalent to
            deleted).
        cancellationDate:
          type:
            - string
            - 'null'
          format: date-time
          description: >-
            Non UTC date-time when this SickLeaveCertificate was cancelled /
            deleted. Null when not cancelled.
        cancellationUserId:
          type:
            - integer
            - 'null'
          description: >-
            ID of the user who cancelled / deleted this SickLeaveCertificate.
            Null when not cancelled.
        subrogation:
          type: boolean
          description: >-
            When true, the company maintains the employee salary and will itself
            be compensated by Social Security.
        subrogationStartDate:
          type:
            - string
            - 'null'
          format: date-time
          description: Start of subrogation.
        subrogationEndDate:
          type:
            - string
            - 'null'
          description: Last day (included) of subrogation.
        lastWorkingDay:
          type: string
          format: date-time
          description: Last day (included) this employee worked before being on sick leave.
        numberOfWaitingPeriodDays:
          type: integer
          minimum: 0
          description: >-
            Number of days the employee will have to wait before being
            compensated.
        numberOfCompensatedDays:
          type: integer
          minimum: 0
          description: Total number of days the employee will be compensated for.
        partTimeNature:
          type:
            - integer
            - 'null'
          enum:
            - 0
            - 1
            - 2
            - 3
            - 4
            - 5
            - 6
            - 7
            - 8
          description: |-
            - 0: Other
            - 1: Work accident
            - 2: Commute accident
            - 3: Sickness
            - 4: Occupational disease 
            - 5: Maternity
            - 6: Paternity
            - 7: Therapeutic part-time
        partTimeActivityRate:
          type:
            - number
            - 'null'
          format: decimal
          description: >-
            When the employee returns part-time: the actual part-time
            percentage.
        partTimeReturnType:
          type: integer
          enum:
            - 0
            - 1
            - 2
          description: |-
            - 0: Employee returns in full-time.
            - 1: Employee returns in part-time for therapeutic reasons.
            - 2: Employee returns in part-time for personal undisclosed reasons.
        earlyReturn:
          type: boolean
          description: >-
            Whether the employee will actually return to work before the
            expected leave end date.
        extension:
          type: boolean
          description: Is this SickLeaveCertificate an extension of a previous one?
        comments:
          type:
            - string
            - 'null'
          description: Comments left when creating this SickLeaveCertificate.
        originalLeavePeriodId:
          type: integer
          description: >-
            ID of the previous SickLeaveCertificate.LeavePeriod when this one is
            an extension or an early return to work.
        accidentDate:
          type:
            - string
            - 'null'
          description: >-
            When due to a work commuting accident, the date when the accident
            occurred.
        accidentPlace:
          type:
            - integer
            - 'null'
          enum:
            - 0
            - 1
            - 2
          description: |-
            - 0: outward trip
            - 1: return trip
            - 2: lunch place
        firstObservationDate:
          type:
            - string
            - 'null'
          format: date-time
          description: When were the first symptoms observed.
        childArrivalScheduledDate:
          type:
            - string
            - 'null'
          description: >-
            On maternity leaves, the date when the child is expected to arrive
            (birth or adoption).
        childArrivalEffectiveDate:
          type:
            - string
            - 'null'
          description: >-
            On maternity leaves, the date when the child actually arrived (birth
            or adoption).
        childArrivalType:
          type:
            - integer
            - 'null'
          enum:
            - 0
            - 1
          description: |-
            - 0: Birth
            - 1: Adoption
        isSingleChild:
          type:
            - boolean
            - 'null'
          description: >-
            On maternity leaves, whether there are one or several children
            expected.
        childAdoptionDistribution:
          type:
            - integer
            - 'null'
          enum:
            - 0
            - 1
          description: |-
            - 0: single parent
            - 1: split between both parents
        paternityLeavePartType:
          type:
            - integer
            - 'null'
          enum:
            - 0
            - 1
          description: |-
            - 0: First part
            - 1: Splittable part
        compensationRate:
          type:
            - number
            - 'null'
          format: decimal
          description: Percentage of compensation.
        longLastingAffection:
          type:
            - boolean
            - 'null'
          description: >-
            Long-lasting conditions are severe enough and/or have a chronic
            nature that requires prolonged treatment.

````